<div id="ContactForm" class="modal fade" role="dialog" data-backdrop="static">
    <div class="modal-dialog modal-style-default modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="title">{{title}}</h4>
            </div>
            <div class="modal-body form-style">
                <form *ngIf="showForm && ContactForm" class="form-horizontal form-style" [formGroup]="ContactForm" novalidate>
                    <div class="col-md-3">
                        <div class="form-group" [class.error-style]="type.invalid && (type.dirty || type.touched || submitted)">
                            <label>Type <span class="txt-required">(*)</span></label>
                            <select class="form-control" formControlName="type" #type>
                                <option value="">Select Type</option>
                                <option *ngFor="let item of listType" value="{{item.code}}">
                                    {{item.name}}
                                </option>
                            </select>
                            <p *ngIf="type.invalid && (type.dirty || type.touched || submitted) && type.errors"
                               class="error">
                                Type is required.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group"
                             [class.error-style]="name.invalid && (name.dirty || name.touched || submitted)">
                            <label>Name <span class="txt-required">(*)</span></label>
                            <input maxlength="50" formControlName="name" #name class="form-control" required />
                            
                            <p *ngIf="name.invalid  && (name.dirty || name.touched || submitted) && name.errors.required"
                               class="error">
                                Name is required.
                            </p>
                            <p *ngIf="name.invalid  && (name.dirty || name.touched || submitted) && name.errors.invalidNameStr"
                               class="error left">
                                Name should only contain alphanumeric, space, hyphen and underscore.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Phone</label>
                            <input type="text" maxlength="20" #phone formControlName="phone" class="form-control"/>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Mobile</label>
                            <input type="text" maxlength="20" #mobile formControlName="mobile" class="form-control"/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group"
                             [class.error-style]="add_1.invalid && (add_1.dirty || add_1.touched || submitted)">
                            <label>Address 1 <span class="txt-required">(*)</span></label>
                            <input id="autocomplete" type="text" maxlength="127" #add_1 formControlName="add_1" class="form-control"/>
                            <p *ngIf="add_1.invalid && (add_1.dirty || add_1.touched || submitted) && add_1.errors"
                               class="error">
                                Address 1 is required.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Address 2</label>
                            <input type="text" maxlength="127" #add_2 formControlName="add_2" class="form-control"/>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group" [class.error-style]="country.invalid && (country.dirty || country.touched || submitted)">
                            <label>Country <span class="txt-required">(*)</span></label>
                            <select class="form-control" formControlName="country" #country (change)="ChangeCountry($event.target.value)">
                                <option value="">Select Country</option>
                                <option *ngFor="let item of Country" [value]="item.sys_country_code">{{item.sys_country_name}}</option>
                            </select>
                            <p *ngIf="country.invalid && (country.dirty || country.touched || submitted) && country.errors"
                               class="error">
                                Country is required.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group" [class.error-style]="state.invalid && (state.dirty || state.touched || submitted)">
                            <label>State <span class="txt-required">(*)</span></label>
                            <select class="form-control"  formControlName="state" #state>
                                <option value="">Select State</option>
                                <option *ngFor="let item of StateProvinces" value="{{item.sys_state_code}}">{{item.sys_state_name}}</option>
                            </select>
                            <p *ngIf="state.invalid && (state.dirty || state.touched || submitted) && state.errors"
                               class="error">
                                State is required.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group"
                             [class.error-style]="city.invalid && (city.dirty || city.touched || submitted)">
                            <label>City <span class="txt-required">(*)</span></label>
                            <input type="text" maxlength="63" #city formControlName="city" class="form-control"/>

                            <p *ngIf="city.invalid && (city.dirty || city.touched||submitted) && city.error"
                               class="error">
                                City is required.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group"
                             [class.error-style]="zip.invalid && (zip.dirty || zip.touched || submitted)">
                            <label>Zip <span class="txt-required">(*)</span></label>
                            <input type="text" maxlength="10" #zip formControlName="zip" class="form-control"/>

                            <p *ngIf="zip.invalid && (zip.dirty || zip.touched || submitted) && zip.errors"
                               class="error">
                                Zip is required.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group" [class.error-style]="ct_first_name.invalid && (ct_first_name.dirty || 
                            ct_first_name.touched || submitted)">
                            <label>Contact First Name</label>
                            <input type="text" maxlength="35" #ct_first_name formControlName="ct_first_name" class="form-control"/>
                            <p *ngIf="ct_first_name.invalid && (ct_first_name.dirty || ct_first_name.touched || submitted) && 
                                ct_first_name.errors.invalidNameStr" class="error left">
                                First Name should only contain alphanumeric, space, hyphen and underscore.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group" [class.error-style]="ct_last_name.invalid && (ct_last_name.dirty || 
                            ct_last_name.touched || submitted)">
                            <label>Contact Last Name</label>
                            <input type="text" maxlength="35" #ct_last_name formControlName="ct_last_name" class="form-control"/>
                            <p *ngIf="ct_last_name.invalid && (ct_last_name.dirty || ct_last_name.touched || submitted) && 
                                ct_last_name.errors.invalidNameStr" class="error left">
                                Last Name should only contain alphanumeric, space, hyphen and underscore.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Description</label>
                            <input type="text" maxlength="255" #des formControlName="des" class="form-control"/>
                        </div>
                    </div>

                </form>

            </div>
            <div class="modal-footer">
                <button *ngIf="_action!='view'" (click)="SaveThirdParty()" class="btn btn-primary pull-right" ><i class="icon-check"></i>Save</button>
                <button type="button" class="btn btn-default pull-right" data-dismiss="modal"><i class="icon-close"></i>Cancel</button>
            </div>
        </div>
    </div>
</div>